package mro.util.properties;

import java.io.*;
import java.util.*; 

import org.xml.sax.Attributes;
import org.xml.sax.InputSource;
import org.xml.sax.XMLReader;
import org.xml.sax.helpers.DefaultHandler;
import org.xml.sax.helpers.XMLReaderFactory;



/**
 * An interface for classes that has a Properties-object.
 *
 * @version          061130
 * @author           Magnus Rosell
 */

public interface HasProperties{

    public Object getPropertyValue(String name);
    public void setProperty(String name, Object value) throws PropertyNotFoundException;

    public Properties getProperties();
    public void setProperties(Properties properties);

}
